Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.identity
Interface UserActivityNotificationBroadcasterMBean

All Superinterfaces:
  org.jboss.ha.jmx.HAServiceMBean, javax.management.NotificationBroadcaster, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  UserActivityNotificationBroadcaster

    public interface UserActivityNotificationBroadcasterMBean

extends org.jboss.ha.jmx.HAServiceMBean

Version:
  $Revision: 8786 $
Author:
  Boleslaw Dawidowicz

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`void` | `addNotificationListener(javax.management.NotificationListener notificationListener, javax.management.NotificationFilter notificationFilter, java.lang.Object object)`
`java.lang.String` | `getPartitionName()`
`void` | `sendNotification(javax.management.Notification notification)`

Methods inherited from interface org.jboss.ha.jmx.HAServiceMBean
`callMethodOnPartition, getClusterPartition, getDistributedState, setClusterPartition, setDistributedState, setPartitionName`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface javax.management.NotificationBroadcaster
`getNotificationInfo, removeNotificationListener`

Method Detail

### getPartitionName

    java.lang.String getPartitionName()

  Specified by:
    `getPartitionName` in interface `org.jboss.ha.jmx.HAServiceMBean`

### sendNotification

    void sendNotification(javax.management.Notification notification)

  Specified by:
    `sendNotification` in interface `org.jboss.ha.jmx.HAServiceMBean`

### addNotificationListener

    void addNotificationListener(javax.management.NotificationListener notificationListener,
                                 javax.management.NotificationFilter notificationFilter,
                                 java.lang.Object object)

  Specified by:
    `addNotificationListener` in interface `javax.management.NotificationBroadcaster`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD